Bug 1704917 - Review Request: python-cssselect2 - CSS selectors for Python ElementTree [NEEDINFO]
Summary: Review Request: python-cssselect2 - CSS selectors for Python ElementTree
Keywords:
Status: CLOSED DUPLICATE of bug 1765322
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1475749 1331947
TreeView+ depends on / blocked
 
Reported: 2019-04-30 19:20 UTC by Eric Smith
Modified: 2019-10-25 19:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 19:50:03 UTC
zebob.m: fedora-review+
fschwarz: needinfo? (spacewar)


Attachments (Terms of Use)

Description Eric Smith 2019-04-30 19:20:31 UTC
Spec URL: https://fedorapeople.org/~brouhaha/python-cssselect2/python-cssselect2.spec
SRPM URL: https://fedorapeople.org/~brouhaha/python-cssselect2/python-cssselect2-0.2.1-1.fc28.src.rpm
Description: cssselect2 is a straightforward implementation of CSS3 Selectors for markup documents (HTML, XML, etc.) that can be read by ElementTree-like parsers, including cElementTree, lxml, html5lib_, etc.
Fedora Account System Username: brouhaha

Comment 1 Felix Schwarz 2019-05-01 14:27:21 UTC
The package does not build for me in mock.

You need at least these build requires:
BuildRequires:  %{py3_prefix}-pytest
BuildRequires:  %{py3_prefix}-pytest-cov
# required for testing
BuildRequires:  %{py3_prefix}-webencodings
BuildRequires:  %{py3_prefix}-tinycss2

Also I think cssselect2 requires tinycss2 and webencodings also at runtime.

Comment 3 Felix Schwarz 2019-05-02 06:59:36 UTC
just fyi: correct link to SRPM is https://fedorapeople.org/~brouhaha/python-cssselect2/python-cssselect2-0.2.1-2.fc30.src.rpm

I can do a review this week - if someone else is faster, please just go ahead.

Comment 4 Robert-André Mauchin 2019-05-02 13:52:45 UTC
 - Missing python provides macro:

%package -n python3-%{srcname}
Summary:        %{summary}

%{?python_provide:%python_provide %{py3_prefix}-cssselect2}

 - Requires should go under the pyshon3 subpackage:

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide %{py3_prefix}-cssselect2}

Requires:       %{py3_prefix}-webencodings
Requires:       %{py3_prefix}-tinycss2





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* BSD (unspecified)", "BSD (unspecified)". 19
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-cssselect2/review-python-
     cssselect2/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-cssselect2-0.2.1-2.fc31.noarch.rpm
          python-cssselect2-0.2.1-2.fc31.src.rpm
python3-cssselect2.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python3-cssselect2.noarch: W: spelling-error %description -l en_US cElementTree -> entrancement
python3-cssselect2.noarch: W: spelling-error %description -l en_US lxml -> XML
python-cssselect2.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python-cssselect2.src: W: spelling-error %description -l en_US cElementTree -> entrancement
python-cssselect2.src: W: spelling-error %description -l en_US lxml -> XML
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 6 Eric Smith 2019-06-27 19:18:42 UTC
The requested changes were made on May 2 (comment 5).

Comment 7 Felix Schwarz 2019-08-30 21:35:02 UTC
Robert-André: If you are still interested in this review, please proceed. Otherwise I'll try to get this over the finish line.

Comment 8 Felix Schwarz 2019-09-01 05:03:50 UTC
I'll wait a few more days to give Robert-André a chance to respond but I have two more comments:
- Maybe you could use "python3-cssselect2" as package name? That way we can get rid of a useless subpackage. Not a strict requirement I guess.
- Test code is packaged.

Comment 9 Robert-André Mauchin 2019-09-10 21:51:17 UTC
> "- Maybe you could use "python3-cssselect2" as package name?"

No. The python guidelines are clear this needs to be a subpackage.

Sorry for the dealy I missed the mails.

Comment 10 Felix Schwarz 2019-09-10 22:24:09 UTC
(In reply to Robert-André Mauchin from comment #9)
> > "- Maybe you could use "python3-cssselect2" as package name?"
> 
> No. The python guidelines are clear this needs to be a subpackage.

You are right - sorry for the noise.
 
> Sorry for the dealy I missed the mails.

Thank you for all your review work :-)

Comment 11 Felix Schwarz 2019-10-02 07:50:37 UTC
Eric: Are you still interested in maintaining this package? I don't want to "take your package away" but I'd like to get this package into Fedora as it blocks cairosvg and weasyprint.

As this package got reviewed successfully I think it is not wise to create a new review request (with an identical spec file) but I'm out of ideas on how to move forward.

Comment 12 Felix Schwarz 2019-10-17 12:38:35 UTC
Eric: Are you aware that the review will expire in a few days?

pagure will require a re-review if the review is older than 6 weeks (IIRC). If you don't manage to import the package until then I think I'll go ahead and create a separate review request but that would be much more work for everyone...

Comment 13 Felix Schwarz 2019-10-24 19:54:05 UTC
new review request: bug 1765322

zebob.m: If you could approve the new review request, this would be highly appreciated.

brouhaha: I'm still interested in co-maintaining this with you.

Comment 14 Felix Schwarz 2019-10-25 19:50:03 UTC
review request in bug 1765322 was approved therefore I'm closing this duplicate issue.

@Eric: If you are interested ping me so I can add you as co-maintainer.

*** This bug has been marked as a duplicate of bug 1765322 ***


Note You need to log in before you can comment on or make changes to this bug.